Bug 115955 - When using tab to navigate the Sidebar, Cell Style is updated without confirmation to screen reader.
Summary: When using tab to navigate the Sidebar, Cell Style is updated without confirm...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.7.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: accessibility
Depends on:
Blocks: a11y
  Show dependency treegraph
 
Reported: 2018-02-23 03:24 UTC by am_dxer
Modified: 2019-05-26 02:51 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description am_dxer 2018-02-23 03:24:04 UTC
Description:
When I press the tab key to navigate the sidebar, a cell style is applied but nothing is spoken to give the user context of what is occurring.

Steps to Reproduce:
1. After oepning a spreadsheet, press Shift=f6 to access the sidebar.
2. Start Pressing Tab. Orca on Linux will read Update, New and then Nothing if the tab key is pressed three times. NVDA on Windows is silent no matter how many times the Tab key is pressed.
3. If we now visit the Edit menu, we see the option to Undo editing the cell style.

Actual Results:  
Screen Readers do not announce anything about the cell style being edited.

Expected Results:
libreOffice should expose this information so that it can be spoken by readers.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Version: 6.1.0.0.alpha0+
Build ID: 8d4d2bf5405ef9d4b0b126f96f882f01031defd6
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); Calc: group


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101 Firefox/60.0
Comment 1 Alex ARNAUD 2018-02-23 09:35:26 UTC
(In reply to am_dxer from comment #0)
> Steps to Reproduce:
> 1. After oepning a spreadsheet, press Shift=f6 to access the sidebar.
> 2. Start Pressing Tab. Orca on Linux will read Update, New and then Nothing

It depends if the sidebar is opened on a specific tab or not. What tab do you have opened ?

I'm not a Calc expert so I need more details to understand what you mean exactly. My test on the style and formatting pane allows me to change the style of the cell only if I press the return key. Indeed, when I press the return key I hear no confirmation of the style change on the cell , is it what you mean?

Best regards.
Comment 2 am_dxer 2018-02-23 13:20:21 UTC
I think it is Properties. If you perform a user profile rese and then perform the steps above, you will be on the tab of the Sidebar that I was on. I actually am not pressing enter. Just pressing tab seems to apply some style because we can see that it is possible to undo it in the edit menu even if we just press tab.
Comment 3 Alex ARNAUD 2018-02-23 15:06:27 UTC
OK, I can reproduce the bug but I'm not sure if it is related to accessibility. It seems it's more general issue.

The steps I've followed are:
1) Reset my LibreOffice profile
2) Open LibreOffice Calc
3) Press shift+F6 to move on the sidebar
4) Press tab two times
5) Open the edit menu

Same result as described by  am_dxer.

On the step 4 the cursor cycle through the sidebar property pane even if this not visible. It should be possible but it's another bug.

The issue doesn't appear if the "styles" tab of the sidebar is visible.

@buovjaga: What is your input about this bug? If the issue is cycling through the sidebar when is shouldn't be possible to I think we should solve the keyboard cycling issue so.

Best regards.
Comment 4 Buovjaga 2018-02-23 16:17:45 UTC
It's a bit hard to reproduce reliably, but I was able to do it. Yet, I could not verify if it actually applies the style that happens to be selected. I switched to having another style selected, but I could not reproduce it again.

I did not reach Update and New buttons with tab.

Version: 6.1.0.0.alpha0+ (x64)
Build ID: e1082e45361a92a31adedcc3ed0a35c704bca543
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-02-15_23:24:06
Locale: fi-FI (fi_FI); Calc: group
Comment 5 am_dxer 2018-05-25 14:31:41 UTC
This appears to be a very old bug. I reproduced it in 4.4.7.2
Comment 6 QA Administrators 2019-05-26 02:51:52 UTC
Dear am_dxer,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug